KTextBrowser Class Reference

`#include <ktextbrowser.h>`

Inherits QTextBrowser.

## Signals

void | mailClick (const QString &name, const QString &address)
void | urlClick (const QString &url)

## Public Member Functions

| KTextBrowser (QWidget *parent=0, const char *name=0, bool notifyClick=false)
| ~KTextBrowser (void)
void | setNotifyClick (bool notifyClick)
bool | isNotifyClick () const

## Protected Member Functions

void | setSource (const QString &name)
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | viewportMouseMoveEvent (QMouseEvent *e)
virtual void | contentsWheelEvent (QWheelEvent *e)
virtual QPopupMenu * | createPopupMenu (const QPoint &pos)
virtual void | virtual_hook (int id, void *data)

## Properties

bool | notifyClick

## Detailed Description

Extended QTextBrowser.

An extended QTextBrowser.

By default it will invoke the system mailer or the system browser when a link is activated, or it can emit the signal urlClick() or mailClick() when a link is activated.

KDE Text Browser

Author
  Espen Sand (espen.nosp@m.sa@o.nosp@m.nline.nosp@m..no)

Definition at line 42 of file ktextbrowser.h.

## Constructor & Destructor Documentation

KTextBrowser::KTextBrowser | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | notifyClick = `false`
| ) |  |

Constructor.

Parameters

  parent | Parent of the widget.
  name | Widget name.
  notifyClick | `true` causes signals to be emitted.

Definition at line 29 of file ktextbrowser.cpp.

KTextBrowser::~KTextBrowser | ( | void |  | ) |

Destructor.

Definition at line 39 of file ktextbrowser.cpp.

## Member Function Documentation

void KTextBrowser::contentsWheelEvent | ( | QWheelEvent * | e | ) |

protected virtual

Reimplemented to support Qt2 behavior (Ctrl-Wheel = fast scroll)

Definition at line 113 of file ktextbrowser.cpp.

QPopupMenu * KTextBrowser::createPopupMenu | ( | const QPoint & | pos | ) |

protected virtual

Re-implemented for internal reasons.

API not affected.

See QLineEdit::createPopupMenu().

Definition at line 121 of file ktextbrowser.cpp.

bool KTextBrowser::isNotifyClick | ( |  | ) | const

Returns whether a click on a link should be handled internally or if a signal should be emitted.

Definition at line 50 of file ktextbrowser.cpp.

void KTextBrowser::keyPressEvent | ( | QKeyEvent * | e | ) |

protected virtual

Makes sure Key_Escape is ignored.

Definition at line 88 of file ktextbrowser.cpp.

void KTextBrowser::mailClick | ( | const QString & | name,
|  | const QString & | address
| ) |  |

signal

Emitted when a mail link has been activated and the widget has been configured to emit the signal.

Parameters

  name | The destination name. It is QString::null at the moment.
  address | The destination address.

void KTextBrowser::setNotifyClick | ( | bool | notifyClick | ) |

Decide whether a click on a link should be handled internally or if a signal should be emitted.

Parameters

  notifyClick | `true` causes signals to be emitted.

Definition at line 44 of file ktextbrowser.cpp.

void KTextBrowser::setSource | ( | const QString & | name | ) |

protected

Reimplemented to NOT set the source but to do the special handling.

Do not call.

Definition at line 56 of file ktextbrowser.cpp.

void KTextBrowser::urlClick | ( | const QString & | url | ) |

signal

Emitted if mailClick() is not emitted and the widget has been configured to emit the signal.

Parameters

  url | The destination address.

void KTextBrowser::viewportMouseMoveEvent | ( | QMouseEvent * | e | ) |

protected virtual

Make sure we use our own hand cursor.

Definition at line 104 of file ktextbrowser.cpp.

The documentation for this class was generated from the following files:

- ktextbrowser.h
- ktextbrowser.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys